<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ArtifactsWorkspaceSettings">
    <artifacts-to-build>
      <artifact name="unnamed" />
    </artifacts-to-build>
  </component>
  <component name="BranchesTreeState">
    <expand>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="LOCAL_ROOT" type="e8cecc67:BranchNodeDescriptor" />
      </path>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="REMOTE_ROOT" type="e8cecc67:BranchNodeDescriptor" />
      </path>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="REMOTE_ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="GROUP_NODE:origin" type="e8cecc67:BranchNodeDescriptor" />
      </path>
    </expand>
    <select />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="23af6433-ab83-4f6f-9f8d-37ff05bb01e4" name="Default Changelist" comment="project5">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/out/artifacts/unnamed/WEB-INF/classes/common/repository/EmailDao.class" beforeDir="false" afterPath="$PROJECT_DIR$/out/artifacts/unnamed/WEB-INF/classes/common/repository/EmailDao.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/out/artifacts/unnamed/WEB-INF/classes/common/repository/EmployeeDao.class" beforeDir="false" afterPath="$PROJECT_DIR$/out/artifacts/unnamed/WEB-INF/classes/common/repository/EmployeeDao.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/out/artifacts/unnamed/WEB-INF/classes/common/service/EmailService.class" beforeDir="false" afterPath="$PROJECT_DIR$/out/artifacts/unnamed/WEB-INF/classes/common/service/EmailService.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/out/artifacts/unnamed/WEB-INF/classes/common/service/EmployeeService.class" beforeDir="false" afterPath="$PROJECT_DIR$/out/artifacts/unnamed/WEB-INF/classes/common/service/EmployeeService.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/out/artifacts/unnamed/WEB-INF/classes/controller/EmployeeController.class" beforeDir="false" afterPath="$PROJECT_DIR$/out/artifacts/unnamed/WEB-INF/classes/controller/EmployeeController.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/common/repository/EmailDao.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/common/repository/EmailDao.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/common/repository/EmployeeDao.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/common/repository/EmployeeDao.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/common/service/EmailService.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/common/service/EmailService.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/common/service/EmployeeService.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/common/service/EmployeeService.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/controller/EmployeeController.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/controller/EmployeeController.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/common/repository/EmailDao.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/common/repository/EmailDao.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/common/repository/EmployeeDao.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/common/repository/EmployeeDao.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/common/service/EmployeeService.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/common/service/EmployeeService.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/controller/EmployeeController.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/controller/EmployeeController.class" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CodeInsightWorkspaceSettings">
    <option name="optimizeImportsOnTheFly" value="true" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="HTML File" />
        <option value="Jsp File" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_BRANCH_BY_REPOSITORY">
      <map>
        <entry key="$PROJECT_DIR$" value="project5.2" />
      </map>
    </option>
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="LogFilters">
    <option name="FILTER_ERRORS" value="false" />
    <option name="FILTER_WARNINGS" value="false" />
    <option name="FILTER_INFO" value="false" />
    <option name="FILTER_DEBUG" value="true" />
    <option name="CUSTOM_FILTER" />
  </component>
  <component name="ProjectId" id="1irWLxBf0p25lxsyAwSDBYmLIDu" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="ASKED_ADD_EXTERNAL_FILES" value="true" />
    <property name="ASKED_SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="DatabaseDriversLRU" value="mysql" />
    <property name="DefaultHtmlFileTemplate" value="HTML File" />
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="database.data.extractors.current.id" value="SQL Inserts" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../HibernateAnnotaion" />
    <property name="node.js.detected.package.eslint" value="true" />
    <property name="node.js.detected.package.tslint" value="true" />
    <property name="node.js.path.for.package.eslint" value="project" />
    <property name="node.js.path.for.package.tslint" value="project" />
    <property name="node.js.selected.package.eslint" value="(autodetect)" />
    <property name="node.js.selected.package.tslint" value="(autodetect)" />
    <property name="project.structure.last.edited" value="Artifacts" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.28556263" />
    <property name="settings.editor.selected.configurable" value="editor.preferences.fonts.default" />
  </component>
  <component name="RecentsManager">
    <key name="MoveClassesOrPackagesDialog.RECENTS_KEY">
      <recent name="" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\ADAK-Shemroon\Desktop\dotin\project5\web\resources\css" />
      <recent name="C:\Users\ADAK-Shemroon\Desktop\dotin\project5\web\resources\js" />
      <recent name="C:\Users\ADAK-Shemroon\Desktop\dotin\project5\web\WEB-INF" />
      <recent name="C:\Users\ADAK-Shemroon\Desktop\dotin\project5\src\main\java" />
      <recent name="C:\Users\ADAK-Shemroon\Desktop\dotin\project5\src\main\resources" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="E:\dotin\project5\src\main\resources" />
      <recent name="E:\dotin\project5\web\WEB-INF" />
      <recent name="C:\Users\ADAK-Shemroon\Desktop\dotin\project5\src\main\resources\static" />
      <recent name="C:\Users\ADAK-Shemroon\Desktop\dotin\project5\web\resources\js" />
      <recent name="C:\Users\ADAK-Shemroon\Desktop\dotin\project5\web" />
    </key>
  </component>
  <component name="RunManager" selected="Tomcat Server.tomcat">
    <configuration name="Test" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="common.Test" />
      <module name="project5" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="common.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestVallidLeave" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="common.repository.TestVallidLeave" />
      <module name="project5" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="common.repository.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="test" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="common.repository.test" />
      <module name="project5" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="common.repository.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="#com.intellij.j2ee.web.tomcat.TomcatRunConfigurationFactory" factoryName="Local" ALTERNATIVE_JRE_ENABLED="false">
      <deployment />
      <server-settings>
        <option name="BASE_DIRECTORY_NAME" value="_project5" />
      </server-settings>
      <predefined_log_file enabled="true" id="Tomcat" />
      <predefined_log_file enabled="true" id="Tomcat Catalina" />
      <predefined_log_file id="Tomcat Manager" />
      <predefined_log_file id="Tomcat Host Manager" />
      <predefined_log_file id="Tomcat Localhost Access" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="4812" />
      </RunnerSettings>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Cover">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Debug">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Run">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="tomcat" type="#com.intellij.j2ee.web.tomcat.TomcatRunConfigurationFactory" factoryName="Local" APPLICATION_SERVER_NAME="Tomcat 9.0.24" ALTERNATIVE_JRE_ENABLED="false">
      <option name="BROWSER_ID" value="98ca6316-2f89-46d9-a9e5-fa9e2b0625b3" />
      <option name="UPDATING_POLICY" value="restart-server" />
      <deployment>
        <artifact name="unnamed">
          <settings>
            <option name="CONTEXT_PATH" value="/" />
          </settings>
        </artifact>
      </deployment>
      <server-settings>
        <option name="BASE_DIRECTORY_NAME" value="Unnamed_project5" />
      </server-settings>
      <predefined_log_file enabled="true" id="Tomcat" />
      <predefined_log_file enabled="true" id="Tomcat Catalina" />
      <predefined_log_file id="Tomcat Manager" />
      <predefined_log_file id="Tomcat Host Manager" />
      <predefined_log_file id="Tomcat Localhost Access" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="4812" />
      </RunnerSettings>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Cover">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Debug">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Run">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <method v="2">
        <option name="Make" enabled="true" />
        <option name="BuildArtifacts" enabled="true">
          <artifact name="project5:war exploded" />
          <artifact name="unnamed" />
        </option>
      </method>
    </configuration>
    <list>
      <item itemvalue="Application.test" />
      <item itemvalue="Application.TestVallidLeave" />
      <item itemvalue="Application.Test" />
      <item itemvalue="Tomcat Server.tomcat" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Application.Test" />
        <item itemvalue="Application.TestVallidLeave" />
        <item itemvalue="Application.test" />
        <item itemvalue="Application.Test" />
        <item itemvalue="Application.TestVallidLeave" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="23af6433-ab83-4f6f-9f8d-37ff05bb01e4" name="Default Changelist" comment="" />
      <created>1602666139018</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1602666139018</updated>
      <workItem from="1602666143979" duration="13340000" />
      <workItem from="1602685472793" duration="1582000" />
      <workItem from="1603003999194" duration="22061000" />
      <workItem from="1603097240349" duration="11888000" />
      <workItem from="1603116367948" duration="5039000" />
      <workItem from="1603180407938" duration="543000" />
      <workItem from="1603181003149" duration="16308000" />
      <workItem from="1603202666542" duration="9626000" />
      <workItem from="1603260781494" duration="19562000" />
      <workItem from="1603291078232" duration="7532000" />
      <workItem from="1603519687928" duration="19835000" />
      <workItem from="1603545502186" duration="8953000" />
      <workItem from="1603690823264" duration="26179000" />
      <workItem from="1603776174756" duration="20094000" />
      <workItem from="1603801363494" duration="194000" />
      <workItem from="1603802373991" duration="5066000" />
      <workItem from="1603871592347" duration="38000" />
      <workItem from="1603871793577" duration="1386000" />
      <workItem from="1603873508296" duration="982000" />
      <workItem from="1604124495740" duration="4664000" />
      <workItem from="1604135987523" duration="183000" />
      <workItem from="1604138599261" duration="15877000" />
      <workItem from="1604207290290" duration="27554000" />
      <workItem from="1604464936581" duration="19470000" />
      <workItem from="1604549901595" duration="6440000" />
      <workItem from="1604723662943" duration="15785000" />
      <workItem from="1604743278453" duration="270000" />
      <workItem from="1604743707508" duration="9581000" />
      <workItem from="1604761128389" duration="190000" />
      <workItem from="1604810366814" duration="19895000" />
      <workItem from="1604831157699" duration="204000" />
      <workItem from="1604835673958" duration="5983000" />
      <workItem from="1604986475786" duration="648000" />
      <workItem from="1604987220884" duration="905000" />
      <workItem from="1604988174951" duration="280000" />
      <workItem from="1604988483558" duration="415000" />
      <workItem from="1604988935539" duration="1310000" />
      <workItem from="1604990339563" duration="166000" />
      <workItem from="1604990536452" duration="16364000" />
      <workItem from="1605010519513" duration="4339000" />
      <workItem from="1605073726039" duration="10632000" />
    </task>
    <task id="LOCAL-00001" summary="hibernate">
      <created>1602684419968</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1602684419968</updated>
    </task>
    <task id="LOCAL-00002" summary="project5">
      <created>1603807842960</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1603807842960</updated>
    </task>
    <task id="LOCAL-00003" summary="project5">
      <created>1603807858447</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1603807858447</updated>
    </task>
    <task id="LOCAL-00004" summary="project5">
      <created>1603808424094</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1603808424094</updated>
    </task>
    <task id="LOCAL-00005" summary="project5">
      <created>1604761226748</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1604761226749</updated>
    </task>
    <task id="LOCAL-00006" summary="project5">
      <created>1604761294136</created>
      <option name="number" value="00006" />
      <option name="presentableId" value="LOCAL-00006" />
      <option name="project" value="LOCAL" />
      <updated>1604761294136</updated>
    </task>
    <task id="LOCAL-00007" summary="project5">
      <created>1604830534521</created>
      <option name="number" value="00007" />
      <option name="presentableId" value="LOCAL-00007" />
      <option name="project" value="LOCAL" />
      <updated>1604830534521</updated>
    </task>
    <task id="LOCAL-00008" summary="project5">
      <created>1604842219229</created>
      <option name="number" value="00008" />
      <option name="presentableId" value="LOCAL-00008" />
      <option name="project" value="LOCAL" />
      <updated>1604842219229</updated>
    </task>
    <task id="LOCAL-00009" summary="project5">
      <created>1604842262642</created>
      <option name="number" value="00009" />
      <option name="presentableId" value="LOCAL-00009" />
      <option name="project" value="LOCAL" />
      <updated>1604842262642</updated>
    </task>
    <task id="LOCAL-00010" summary="project5">
      <created>1604842282537</created>
      <option name="number" value="00010" />
      <option name="presentableId" value="LOCAL-00010" />
      <option name="project" value="LOCAL" />
      <updated>1604842282537</updated>
    </task>
    <task id="LOCAL-00011" summary="project5">
      <created>1604992102451</created>
      <option name="number" value="00011" />
      <option name="presentableId" value="LOCAL-00011" />
      <option name="project" value="LOCAL" />
      <updated>1604992102451</updated>
    </task>
    <task id="LOCAL-00012" summary="project5">
      <created>1605006011128</created>
      <option name="number" value="00012" />
      <option name="presentableId" value="LOCAL-00012" />
      <option name="project" value="LOCAL" />
      <updated>1605006011128</updated>
    </task>
    <task id="LOCAL-00013" summary="project5">
      <created>1605006017292</created>
      <option name="number" value="00013" />
      <option name="presentableId" value="LOCAL-00013" />
      <option name="project" value="LOCAL" />
      <updated>1605006017292</updated>
    </task>
    <task id="LOCAL-00014" summary="project5">
      <created>1605006432159</created>
      <option name="number" value="00014" />
      <option name="presentableId" value="LOCAL-00014" />
      <option name="project" value="LOCAL" />
      <updated>1605006432159</updated>
    </task>
    <task id="LOCAL-00015" summary="project5">
      <created>1605075456199</created>
      <option name="number" value="00015" />
      <option name="presentableId" value="LOCAL-00015" />
      <option name="project" value="LOCAL" />
      <updated>1605075456199</updated>
    </task>
    <option name="localTasksCounter" value="16" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="2" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
    <option name="oldMeFiltersMigrated" value="true" />
  </component>
  <component name="VcsManagerConfiguration">
    <option name="ADD_EXTERNAL_FILES_SILENTLY" value="true" />
    <MESSAGE value="hibernate" />
    <MESSAGE value="project5" />
    <option name="LAST_COMMIT_MESSAGE" value="project5" />
  </component>
  <component name="WindowStateProjectService">
    <state x="275" y="25" key="#Assign_Data_Sources" timestamp="1603181913591">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="275" y="25" key="#Assign_Data_Sources/0.0.1366.728@0.0.1366.728" timestamp="1603181913591" />
    <state x="275" y="25" key="#Inspections" timestamp="1603283574614">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="275" y="25" key="#Inspections/0.0.1366.728@0.0.1366.728" timestamp="1603283574614" />
    <state x="568" y="226" key="#Notifications" timestamp="1605073782002">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="568" y="226" key="#Notifications/0.0.1366.728@0.0.1366.728" timestamp="1605073782002" />
    <state x="275" y="26" key="#Project_Structure" timestamp="1603022362975">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="275" y="26" key="#Project_Structure/0.0.1366.728@0.0.1366.728" timestamp="1603022362975" />
    <state x="275" y="27" key="#Template_Data_Languages" timestamp="1604839999327">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="275" y="27" key="#Template_Data_Languages/0.0.1366.728@0.0.1366.728" timestamp="1604839999327" />
    <state x="490" y="237" key="#Tomcat_Server" timestamp="1604986552835">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="490" y="237" key="#Tomcat_Server/0.0.1366.728@0.0.1366.728" timestamp="1604986552835" />
    <state x="523" y="415" key="#com.intellij.codeInsight.i18n.I18nizeQuickFixDialog" timestamp="1604998302510">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="523" y="415" key="#com.intellij.codeInsight.i18n.I18nizeQuickFixDialog/0.0.1366.728@0.0.1366.728" timestamp="1604998302510" />
    <state x="166" y="25" width="1092" height="669" key="#com.intellij.execution.impl.EditConfigurationsDialog" timestamp="1604990871351">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="166" y="25" width="1092" height="669" key="#com.intellij.execution.impl.EditConfigurationsDialog/0.0.1366.728@0.0.1366.728" timestamp="1604990871351" />
    <state x="440" y="173" key="#com.intellij.fileTypes.FileTypeChooser" timestamp="1604748524905">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="440" y="173" key="#com.intellij.fileTypes.FileTypeChooser/0.0.1366.728@0.0.1366.728" timestamp="1604748524905" />
    <state x="488" y="82" key="#com.intellij.ide.util.MemberChooser" timestamp="1605004731494">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="488" y="82" key="#com.intellij.ide.util.MemberChooser/0.0.1366.728@0.0.1366.728" timestamp="1605004731494" />
    <state x="316" y="55" key="#com.intellij.ide.util.frameworkSupport.AddFrameworkSupportDialog" timestamp="1605074657407">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="316" y="55" key="#com.intellij.ide.util.frameworkSupport.AddFrameworkSupportDialog/0.0.1366.728@0.0.1366.728" timestamp="1605074657407" />
    <state x="304" y="21" key="#com.intellij.j2ee.appServerIntegrations.ApplicationServersConfigurable" timestamp="1604829065234">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="304" y="21" key="#com.intellij.j2ee.appServerIntegrations.ApplicationServersConfigurable/0.0.1366.728@0.0.1366.728" timestamp="1604829065234" />
    <state x="489" y="288" key="#com.intellij.javaee.module.view.common.J2EE.J2EEDeploymentDescriptorLocationPanel.changeDDPath" timestamp="1604989125778">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="489" y="288" key="#com.intellij.javaee.module.view.common.J2EE.J2EEDeploymentDescriptorLocationPanel.changeDDPath/0.0.1366.728@0.0.1366.728" timestamp="1604989125778" />
    <state x="319" y="293" key="#com.intellij.refactoring.move.MoveHandler.SelectRefactoringDialog" timestamp="1602671419714">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="319" y="293" key="#com.intellij.refactoring.move.MoveHandler.SelectRefactoringDialog/0.0.1366.728@0.0.1366.728" timestamp="1602671419714" />
    <state x="484" y="253" key="#com.intellij.refactoring.move.moveClassesOrPackages.MoveClassesOrPackagesDialog.packages" timestamp="1602671420971">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="484" y="253" key="#com.intellij.refactoring.move.moveClassesOrPackages.MoveClassesOrPackagesDialog.packages/0.0.1366.728@0.0.1366.728" timestamp="1602671420971" />
    <state x="353" y="0" key="#com.intellij.refactoring.rename.AutomaticRenamingDialog" timestamp="1604224359103">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="353" y="0" key="#com.intellij.refactoring.rename.AutomaticRenamingDialog/0.0.1366.728@0.0.1366.728" timestamp="1604224359103" />
    <state x="413" y="113" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog" timestamp="1602683041775">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="413" y="113" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog/0.0.1366.728@0.0.1366.728" timestamp="1602683041775" />
    <state x="304" y="62" key="CommitChangelistDialog2" timestamp="1604842281181">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="304" y="62" key="CommitChangelistDialog2/0.0.1366.728@0.0.1366.728" timestamp="1604842281181" />
    <state x="443" y="0" key="Diagram.Print.Preview.Dialog" timestamp="1603182347919">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="443" y="0" key="Diagram.Print.Preview.Dialog/0.0.1366.728@0.0.1366.728" timestamp="1603182347919" />
    <state x="216" y="55" key="DiffContextDialog" timestamp="1605014149822">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="216" y="55" key="DiffContextDialog/0.0.1366.728@0.0.1366.728" timestamp="1605014149822" />
    <state x="389" y="108" key="FileChooserDialogImpl" timestamp="1605080901100">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="389" y="108" key="FileChooserDialogImpl/0.0.1366.728@0.0.1366.728" timestamp="1605080901100" />
    <state width="893" height="126" key="GridCell.Tab.-1.bottom" timestamp="1603027464539">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="893" height="126" key="GridCell.Tab.-1.bottom/0.0.1366.728@0.0.1366.728" timestamp="1603027464539" />
    <state width="893" height="126" key="GridCell.Tab.-1.center" timestamp="1603027464538">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="893" height="126" key="GridCell.Tab.-1.center/0.0.1366.728@0.0.1366.728" timestamp="1603027464538" />
    <state width="893" height="126" key="GridCell.Tab.-1.left" timestamp="1603027464537">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="893" height="126" key="GridCell.Tab.-1.left/0.0.1366.728@0.0.1366.728" timestamp="1603027464537" />
    <state width="893" height="126" key="GridCell.Tab.-1.right" timestamp="1603027464538">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="893" height="126" key="GridCell.Tab.-1.right/0.0.1366.728@0.0.1366.728" timestamp="1603027464538" />
    <state width="907" height="129" key="GridCell.Tab.0.bottom" timestamp="1605085852158">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="907" height="129" key="GridCell.Tab.0.bottom/0.0.1366.728@0.0.1366.728" timestamp="1605085852158" />
    <state width="907" height="129" key="GridCell.Tab.0.center" timestamp="1605085852158">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="907" height="129" key="GridCell.Tab.0.center/0.0.1366.728@0.0.1366.728" timestamp="1605085852158" />
    <state width="907" height="129" key="GridCell.Tab.0.left" timestamp="1605085852158">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="907" height="129" key="GridCell.Tab.0.left/0.0.1366.728@0.0.1366.728" timestamp="1605085852158" />
    <state width="907" height="129" key="GridCell.Tab.0.right" timestamp="1605085852158">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="907" height="129" key="GridCell.Tab.0.right/0.0.1366.728@0.0.1366.728" timestamp="1605085852158" />
    <state width="907" height="129" key="GridCell.Tab.1.bottom" timestamp="1605085842609">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="907" height="129" key="GridCell.Tab.1.bottom/0.0.1366.728@0.0.1366.728" timestamp="1605085842609" />
    <state width="907" height="129" key="GridCell.Tab.1.center" timestamp="1605085842609">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="907" height="129" key="GridCell.Tab.1.center/0.0.1366.728@0.0.1366.728" timestamp="1605085842609" />
    <state width="907" height="129" key="GridCell.Tab.1.left" timestamp="1605085842609">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="907" height="129" key="GridCell.Tab.1.left/0.0.1366.728@0.0.1366.728" timestamp="1605085842609" />
    <state width="907" height="129" key="GridCell.Tab.1.right" timestamp="1605085842609">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="907" height="129" key="GridCell.Tab.1.right/0.0.1366.728@0.0.1366.728" timestamp="1605085842609" />
    <state width="907" height="129" key="GridCell.Tab.2.bottom" timestamp="1605085842610">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="907" height="129" key="GridCell.Tab.2.bottom/0.0.1366.728@0.0.1366.728" timestamp="1605085842610" />
    <state width="907" height="129" key="GridCell.Tab.2.center" timestamp="1605085842610">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="907" height="129" key="GridCell.Tab.2.center/0.0.1366.728@0.0.1366.728" timestamp="1605085842610" />
    <state width="907" height="129" key="GridCell.Tab.2.left" timestamp="1605085842610">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="907" height="129" key="GridCell.Tab.2.left/0.0.1366.728@0.0.1366.728" timestamp="1605085842610" />
    <state width="907" height="129" key="GridCell.Tab.2.right" timestamp="1605085842610">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="907" height="129" key="GridCell.Tab.2.right/0.0.1366.728@0.0.1366.728" timestamp="1605085842610" />
    <state width="1083" height="2" key="GridCell.Tab.3.bottom" timestamp="1604208174350">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1083" height="2" key="GridCell.Tab.3.bottom/0.0.1366.728@0.0.1366.728" timestamp="1604208174350" />
    <state width="1083" height="2" key="GridCell.Tab.3.center" timestamp="1604208174349">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1083" height="2" key="GridCell.Tab.3.center/0.0.1366.728@0.0.1366.728" timestamp="1604208174349" />
    <state width="1083" height="2" key="GridCell.Tab.3.left" timestamp="1604208174349">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1083" height="2" key="GridCell.Tab.3.left/0.0.1366.728@0.0.1366.728" timestamp="1604208174349" />
    <state width="1083" height="2" key="GridCell.Tab.3.right" timestamp="1604208174349">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1083" height="2" key="GridCell.Tab.3.right/0.0.1366.728@0.0.1366.728" timestamp="1604208174349" />
    <state width="1083" height="402" key="GridCell.Tab.7.bottom" timestamp="1604810740569">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1083" height="402" key="GridCell.Tab.7.bottom/0.0.1366.728@0.0.1366.728" timestamp="1604810740569" />
    <state width="1083" height="402" key="GridCell.Tab.7.center" timestamp="1604810740569">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1083" height="402" key="GridCell.Tab.7.center/0.0.1366.728@0.0.1366.728" timestamp="1604810740569" />
    <state width="1083" height="402" key="GridCell.Tab.7.left" timestamp="1604810740569">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1083" height="402" key="GridCell.Tab.7.left/0.0.1366.728@0.0.1366.728" timestamp="1604810740569" />
    <state width="1083" height="402" key="GridCell.Tab.7.right" timestamp="1604810740569">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1083" height="402" key="GridCell.Tab.7.right/0.0.1366.728@0.0.1366.728" timestamp="1604810740569" />
    <state width="1083" height="417" key="GridCell.Tab.8.bottom" timestamp="1604726748572">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1083" height="417" key="GridCell.Tab.8.bottom/0.0.1366.728@0.0.1366.728" timestamp="1604726748572" />
    <state width="1083" height="417" key="GridCell.Tab.8.center" timestamp="1604726748572">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1083" height="417" key="GridCell.Tab.8.center/0.0.1366.728@0.0.1366.728" timestamp="1604726748572" />
    <state width="1083" height="417" key="GridCell.Tab.8.left" timestamp="1604726748571">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1083" height="417" key="GridCell.Tab.8.left/0.0.1366.728@0.0.1366.728" timestamp="1604726748571" />
    <state width="1083" height="417" key="GridCell.Tab.8.right" timestamp="1604726748572">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1083" height="417" key="GridCell.Tab.8.right/0.0.1366.728@0.0.1366.728" timestamp="1604726748572" />
    <state width="196" height="457" key="HiddenNamespacesPopup" timestamp="1602667876999">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="196" height="457" key="HiddenNamespacesPopup/0.0.1366.728@0.0.1366.728" timestamp="1602667876999" />
    <state x="213" y="21" key="Maven.ArtifactSearchDialog" timestamp="1605002313997">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="213" y="21" key="Maven.ArtifactSearchDialog/0.0.1366.728@0.0.1366.728" timestamp="1605002313997" />
    <state x="437" y="77" key="RollbackChangesDialog" timestamp="1604477047835">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="437" y="77" key="RollbackChangesDialog/0.0.1366.728@0.0.1366.728" timestamp="1604477047834" />
    <state x="163" y="0" width="1125" height="728" key="SettingsEditor" timestamp="1605075788718">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="163" y="0" width="1125" height="728" key="SettingsEditor/0.0.1366.728@0.0.1366.728" timestamp="1605075788718" />
    <state x="275" y="99" width="1022" height="535" key="Vcs.Push.Dialog.v2" timestamp="1605075496863">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="275" y="99" width="1022" height="535" key="Vcs.Push.Dialog.v2/0.0.1366.728@0.0.1366.728" timestamp="1605075496863" />
    <state x="544" y="216" width="319" height="295" key="com.intellij.database.actions.DdlActions$DeleteProvider2$1" timestamp="1602683650987">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="544" y="216" width="319" height="295" key="com.intellij.database.actions.DdlActions$DeleteProvider2$1/0.0.1366.728@0.0.1366.728" timestamp="1602683650987" />
    <state x="263" y="23" key="com.intellij.database.dbimport.ImportDialog" timestamp="1603097402771">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="263" y="23" key="com.intellij.database.dbimport.ImportDialog/0.0.1366.728@0.0.1366.728" timestamp="1603097402771" />
    <state x="399" y="0" width="557" height="455" key="com.intellij.database.view.ui.AbstractDbRefactoringDialog" timestamp="1604990772549">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="399" y="0" width="557" height="455" key="com.intellij.database.view.ui.AbstractDbRefactoringDialog/0.0.1366.728@0.0.1366.728" timestamp="1604990772549" />
    <state x="390" y="193" key="com.intellij.ide.util.TipDialog" timestamp="1604835676889">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="390" y="193" key="com.intellij.ide.util.TipDialog/0.0.1366.728@0.0.1366.728" timestamp="1604835676889" />
    <state x="492" y="277" key="com.intellij.openapi.vcs.update.UpdateOrStatusOptionsDialogupdate-v2" timestamp="1605074573868">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="492" y="277" key="com.intellij.openapi.vcs.update.UpdateOrStatusOptionsDialogupdate-v2/0.0.1366.728@0.0.1366.728" timestamp="1605074573868" />
    <state x="241" y="312" width="909" height="194" key="dock-window-1" timestamp="1603026445764">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="241" y="312" width="909" height="194" key="dock-window-1/0.0.1366.728@0.0.1366.728" timestamp="1603026445764" />
    <state x="241" y="312" width="909" height="194" key="dock-window-2" timestamp="1603027153723">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="241" y="312" width="909" height="194" key="dock-window-2/0.0.1366.728@0.0.1366.728" timestamp="1603027153723" />
    <state x="384" y="438" width="909" height="194" key="dock-window-3" timestamp="1603027472359">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="384" y="438" width="909" height="194" key="dock-window-3/0.0.1366.728@0.0.1366.728" timestamp="1603027472359" />
    <state x="413" y="136" key="extract.method.dialog" timestamp="1603700471903">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="413" y="136" key="extract.method.dialog/0.0.1366.728@0.0.1366.728" timestamp="1603700471903" />
    <state x="483" y="265" key="git4idea.remote.GitConfigureRemotesDialog" timestamp="1605075373287">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="483" y="265" key="git4idea.remote.GitConfigureRemotesDialog/0.0.1366.728@0.0.1366.728" timestamp="1605075373287" />
    <state x="339" y="164" key="run.anything.popup" timestamp="1603006424402">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="339" y="164" key="run.anything.popup/0.0.1366.728@0.0.1366.728" timestamp="1603006424402" />
    <state x="339" y="21" width="672" height="676" key="search.everywhere.popup" timestamp="1605002596352">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="339" y="21" width="672" height="676" key="search.everywhere.popup/0.0.1366.728@0.0.1366.728" timestamp="1605002596352" />
  </component>
</project>